> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a retrospective process

> Delete a specific retrospective process by id



## OpenAPI

````yaml https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json delete /v1/retrospective_processes/{id}
openapi: 3.0.1
info:
  title: Rootly API v1
  version: v1
  description: >+
    # How to generate an API Key?

    - **Organization dropdown** > **Organization Settings** > **API Keys**


    # JSON:API Specification

    Rootly is using **JSON:API** (https://jsonapi.org) specification:

    - JSON:API is a specification for how a client should request that resources
    be fetched or modified, and how a server should respond to those requests.

    - JSON:API is designed to minimize both the number of requests and the
    amount of data transmitted between clients and servers. This efficiency is
    achieved without compromising readability, flexibility, or discoverability.

    - JSON:API requires use of the JSON:API media type
    (**application/vnd.api+json**) for exchanging data.


    # Authentication and Requests

    We use standard HTTP Authentication over HTTPS to authorize your requests.

    ```
      curl --request GET \
    --header 'Content-Type: application/vnd.api+json' \

    --header 'Authorization: Bearer YOUR-TOKEN' \

    --url https://api.rootly.com/v1/incidents

    ```


    <br/>


    # Rate limiting

    - There is a default limit of **5** **GET**, **HEAD**, and **OPTIONS** calls
    **per API key** every **60 seconds** (0 hours). The limit is calculated over
    a **0-hour sliding window** looking back from the current time. While the
    limit can be configured to support higher thresholds, you must first contact
    your **Rootly Customer Success Manager** to make any adjustments.

    - There is a default limit of **3** **POST**, **PUT**, **PATCH** or
    **DELETE** calls **per API key** every **60 seconds** (0 hours). The limit
    is calculated over a **0-hour sliding window** looking back from the current
    time. While the limit can be configured to support higher thresholds, you
    must first contact your **Rootly Customer Success Manager** to make any
    adjustments.

    - When rate limits are exceeded, the API will return a **429 Too Many
    Requests** HTTP status code with the response: `{"error": "Rate limit
    exceeded. Try again later."}`

    - **X-RateLimit headers** are included in every API response, providing
    real-time rate limit information:
      - **X-RateLimit-Limit** - The maximum number of requests permitted and the time window (e.g., "1000, 1000;window=3600" for 1000 requests per hour)
      - **X-RateLimit-Remaining** - The number of requests remaining in the current rate limit window
      - **X-RateLimit-Used** - The number of requests already made in the current window
      - **X-RateLimit-Reset** - The time at which the current rate limit window resets, in UTC epoch seconds

    # Pagination

    - Pagination is supported for all endpoints that return a collection of
    items.

    - Pagination is controlled by the **page** query parameter


    ## Example

    ```
      curl --request GET \
    --header 'Content-Type: application/vnd.api+json' \

    --header 'Authorization: Bearer YOUR-TOKEN' \

    --url https://api.rootly.com/v1/incidents?page[number]=1&page[size]=10

    ```

  x-logo:
    url: https://rootly-heroku.s3.us-east-1.amazonaws.com/swagger/v1/logo.png
servers:
  - url: https://api.rootly.com
security: []
paths:
  /v1/retrospective_processes/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    delete:
      tags:
        - RetrospectiveProcesses
      summary: Delete a retrospective process
      description: Delete a specific retrospective process by id
      operationId: deleteRetrospectiveProcess
      responses:
        '200':
          description: retrospective_process deleted
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/retrospective_process_response'
        '404':
          description: resource not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_list'
      security:
        - bearer_auth: []
components:
  schemas:
    retrospective_process_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
              description: Unique id of retrospective process
            type:
              type: string
              enum:
                - retrospective_processes
            attributes:
              type: object
              allOf:
                - $ref: '#/components/schemas/retrospective_process'
          required:
            - id
            - type
            - attributes
      required:
        - data
    errors_list:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              status:
                type: string
              code:
                type: string
                nullable: true
              detail:
                type: string
                nullable: true
            required:
              - title
              - status
    retrospective_process:
      type: object
      properties:
        name:
          type: string
          description: The name of the retrospective process
        description:
          type: string
          description: The description of the retrospective process
          nullable: true
        is_default:
          type: boolean
          description: >-
            Indicates the default process that Rootly created. This will be used
            as a fallback if no processes match the incident's conditions. The
            default process cannot have conditions and cannot be changed.
          nullable: true
        created_at:
          type: string
          description: Date of creation
        updated_at:
          type: string
          description: Date of last update
        retrospective_process_matching_criteria:
          type: object
          oneOf:
            - type: object
              properties:
                severity_ids:
                  type: array
                  description: Severity IDs for retrospective process matching criteria
                  items:
                    type: string
              additionalProperties: false
              required:
                - severity_ids
            - type: object
              properties:
                group_ids:
                  type: array
                  description: Team IDs for retrospective process matching criteria
                  items:
                    type: string
              additionalProperties: false
              required:
                - group_ids
            - type: object
              properties:
                incident_type_ids:
                  type: array
                  description: >-
                    Incident type IDs for retrospective process matching
                    criteria
                  items:
                    type: string
              additionalProperties: false
              required:
                - incident_type_ids
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````